Skip to main content
GET
/
fleet
/
tachograph-live-data
/
latest
[beta] List tachograph live data
curl --request GET \
  --url https://api.samsara.com/fleet/tachograph-live-data/latest \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "cumulatedDrivingTimePreviousAndCurrentWeekMinute": 12345,
      "cumulativeBreakTimeMinute": 12345,
      "currentDailyDrivingTimeMinute": 12345,
      "currentDurationOfSelectedActivityMinute": 12345,
      "currentWeeklyDrivingTimeMinute": 12345,
      "driverId": "12345",
      "durationOfNextBreakRestMinute": 12345,
      "durationOfNextDrivingPeriodMinute": 12345,
      "endOfLastDailyRestPeriod": "2019-06-13T19:08:25Z",
      "endOfLastWeeklyRestPeriod": "2019-06-13T19:08:25Z",
      "happenedAtTime": "2019-06-13T19:08:25Z",
      "maximumDailyDrivingTimeMinute": 12345,
      "minimumDailyRestMinute": 12345,
      "minimumWeeklyRestMinute": 12345,
      "numberOfTimes9hDailyDrivingTimesExceeded": 12345,
      "numberOfUsedReducedDailyRestPeriods": 12345,
      "openCompensationInSecondWeekBeforeLastMinute": 12345,
      "openCompensationInTheLastWeekMinute": 12345,
      "openCompensationInWeekBeforeLastMinute": 12345,
      "remaining2WeeksDrivingTimeMinute": 12345,
      "remainingCurrentDrivingTimeMinute": 12345,
      "remainingDrivingTimeOfCurrentWeekMinute": 12345,
      "remainingDrivingTimeOnCurrentShiftMinute": 12345,
      "remainingTimeOfCurrentBreakRestMinute": 12345,
      "remainingTimeUntilNextBreakOrRestMinute": 12345,
      "tachographCardNumber": "12345",
      "timeLeftUntilNewDailyRestPeriodMinute": 12345,
      "timeLeftUntilNewWeeklyRestPeriodMinute": 12345,
      "timeLeftUntilNextDrivingPeriodMinute": 12345,
      "vehicleId": "12345",
      "workingState": "12345"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverIds
string

A filter on the data based on this comma-separated list of Driver ID values.

vehicleIds
string

A filter on the data based on this comma-separated list of Vehicle ID values.

startTime
string

A start time in RFC 3339 format. Millisecond precision and timezones are supported. Defaults to 1 hour before now if not provided.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:200

The limit for how many objects will be in the response. Default and max for this value is 200 objects.

Required range: 1 <= x <= 200

Response

OK response.

data
object[]
required

An array of TachographLiveDataRecords

pagination
object
required

Pagination parameters.